Package org.opensaml.saml.common.binding.artifact

# Interface SAMLSourceIDArtifact

All Superinterfaces:
  `SAMLArtifact`

All Known Implementing Classes:
  `SAML1ArtifactType0001`, `SAML2ArtifactType0004`

public interface SAMLSourceIDArtifact extends SAMLArtifact
A specialization of `SAMLArtifact` which exposes a source ID.

## Method Summary

Modifier and Type
Method
Description
`byte[]`
`getSourceID()`
Get the source ID component of the artifact.

### Methods inherited from interface org.opensaml.saml.common.binding.artifact.SAMLArtifact

`getArtifactBytes, getTypeCode`

## Method Details

### getSourceID

@Nonnull byte[] getSourceID()
Get the source ID component of the artifact.

Returns:
  the source ID component of the artifact